For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Go to app
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Introduction
    • Users
    • Taskflow
    • AI Task Builder
    • Studies
    • Representative sample studies
    • study-collections
    • Filter Sets
    • Participant Groups
    • Custom Groups
    • Study Distribution
    • Submissions
    • Bonuses
    • Messages
    • Workspaces
    • Projects
    • Surveys
    • Webhooks
    • Invitations
      • POSTCreate a new invitation
    • Reward Recommendations
    • Testing
    • Well Known Endpoints
Go to app
LogoLogo
API ReferenceInvitations

Create a new invitation

|View as Markdown|Open in Claude|
POST
https://api.prolific.com/api/v1/invitations/
POST
/api/v1/invitations/
$curl -X POST https://api.prolific.com/api/v1/invitations/ \
> -H "Authorization: Token <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "invitations": [
3 {
4 "association": "64b8f9a2e4b0c123456789ab",
5 "invitee": {
6 "id": "64b8f9a2e4b0c123456789ac",
7 "name": "Emily Johnson",
8 "email": "emily.johnson@example.com"
9 },
10 "invited_by": "64b8f9a2e4b0c123456789ad",
11 "status": "INVITED",
12 "invite_link": "https://app.prolific.com/invite/64b8f9a2e4b0c123456789ae",
13 "role": "WORKSPACE_ADMIN"
14 }
15 ]
16}
Initiate a new invitation process for adding users to a Workspace. This operation can be performed only by authenticated users who are admins for the specified workspace. Invitations will be sent to the email addresses provided in the request.
Was this page helpful?
Previous

Invitations

Next

Reward Recommendations

Authentication

AuthorizationToken

The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings.

Your API token does not have an expiry date and carries full permission, so be sure to keep them secure.

If your token is leaked, delete it and create a new one directly in the app.

In your requests add Authorization header with the value Token <your token>.

Request

This endpoint expects an object.
associationstringOptionalformat: "objectId"
The ID of the workspace to which the users are being invited.
emailslist of stringsOptional
An array of email addresses of the users to invite.
roleenumOptional

The role that the invited users will have in the workspace. This can be one of the following:

  • “WORKSPACE_ADMIN”: The user will have administrative rights in the workspace. They can manage settings, invite users, and oversee all projects.
  • “WORKSPACE_COLLABORATOR”: The user will be a regular collaborator in the workspace. They can contribute to projects but don’t have administrative rights.
Allowed values:

Response

Invitation created successfully
invitationslist of objects

Errors

4XX
Client Request Error